Bug 1265812 - Incorrect hammer command to add content to a capsule server
Incorrect hammer command to add content to a capsule server
Status: CLOSED CURRENTRELEASE
Product: Red Hat Satellite 6
Classification: Red Hat
Component: Docs User Guide (Show other bugs)
6.1.0
Unspecified Unspecified
medium Severity medium (vote)
: Unspecified
: 6.1
Assigned To: Russell Dickenson
David O'Brien
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2015-09-23 16:13 EDT by vdhande
Modified: 2015-11-17 12:31 EST (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2015-11-17 12:31:38 EST
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description vdhande 2015-09-23 16:13:10 EDT
Document URL: 
https://access.redhat.com/documentation/en-US/Red_Hat_Satellite/6.1/html-single/User_Guide/index.html#sect-Red_Hat_Satellite-User_Guide-Adding_Life_Cycle_Environments_to_a_Red_Hat_Satellite_Capsule_Server

Section Number and Name: 
15.6. ADDING LIFE CYCLE ENVIRONMENTS TO A RED HAT SATELLITE CAPSULE SERVER

Describe the issue: 


Add the life cycle environment to the Satellite Capsule Server is defined wrongly,
====
# hammer capsule content add-lifecycle-environment --id capsule_id_number --lifecycle-environment-id environment_id_number
====

Suggestions for improvement: 
--lifecycle-environment-id is the Unrecognized option to add the life cycle environment to the Satellite Capsule Server. It should be "environment-id"
Comment 1 Hayley Hudgeons 2015-10-09 15:01:17 EDT
Verified by looking at hammer --help on a 6.1 satellite:

# hammer capsule content add-lifecycle-environment --help
Usage:
    hammer capsule content add-lifecycle-environment [OPTIONS]

Options:
 --environment ENVIRONMENT_NAME  Name to search by  <-----
 --environment-id ENVIRONMENT_ID  
 --id ID                         Id of the capsule
 --name NAME                     Name to search by
 -h, --help                      print help
Comment 7 David O'Brien 2015-10-22 02:06:19 EDT
"lifecycle-environment-id" appears to no longer exist in the doc.

Note You need to log in before you can comment on or make changes to this bug.